<script setup>
defineProps({
  src: {
    type: String,
    required: true,
  },
});
</script>

<template>
  <div class="frame">
    <img
      alt="Vue logo"
      class="logo"
      src="https://images.pexels.com/photos/39284/macbook-apple-imac-computer-39284.jpeg"
      width="125"
      height="125"
    />
  </div>
</template>

<style scoped>
.frame {
  background-color: lightgray;
  border-radius: 20px;
  padding: 0px 30px;
  width: 75%;
  margin: 10px auto;
  height: 400px;
  overflow: hidden;
}
img {
  width: 100%;
  height: auto;
}
</style>
